<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/inc/clk.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">clk.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Mini51 series CLK driver header file.  
<a href="#details">More...</a></p>

<p><a href="clk_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gac19eda48ead87f582993e738c45dc67a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac19eda48ead87f582993e738c45dc67a">CLK_PWRCON_XTL12M</a>&#160;&#160;&#160;0x01UL</td></tr>
<tr class="separator:gac19eda48ead87f582993e738c45dc67a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab95ef36bda089bf77cd14db350231108"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab95ef36bda089bf77cd14db350231108">CLK_PWRCON_HXT</a>&#160;&#160;&#160;0x01UL</td></tr>
<tr class="separator:gab95ef36bda089bf77cd14db350231108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22872b84b1202b6959e93c6f0229e1a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22872b84b1202b6959e93c6f0229e1a0">CLK_PWRCON_XTL32K</a>&#160;&#160;&#160;0x02UL</td></tr>
<tr class="separator:ga22872b84b1202b6959e93c6f0229e1a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad60f063f0c649623710f618821a38821"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad60f063f0c649623710f618821a38821">CLK_PWRCON_LXT</a>&#160;&#160;&#160;0x02UL</td></tr>
<tr class="separator:gad60f063f0c649623710f618821a38821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0192231b669818ca9fae9a4e123fd292"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0192231b669818ca9fae9a4e123fd292">CLK_CLKSEL0_HCLK_S_XTAL</a>&#160;&#160;&#160;0x00UL</td></tr>
<tr class="separator:ga0192231b669818ca9fae9a4e123fd292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab3b399be3b8947d402a055289896da7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaab3b399be3b8947d402a055289896da7">CLK_CLKSEL0_HCLK_S_IRC10K</a>&#160;&#160;&#160;0x03UL</td></tr>
<tr class="separator:gaab3b399be3b8947d402a055289896da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbbe76abb6aba125cdee4bc334de5df3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbbe76abb6aba125cdee4bc334de5df3">CLK_CLKSEL0_HCLK_S_LIRC</a>&#160;&#160;&#160;0x03UL</td></tr>
<tr class="separator:gafbbe76abb6aba125cdee4bc334de5df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga74fe03b2203d04a9bdb5134d6c0d5a14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga74fe03b2203d04a9bdb5134d6c0d5a14">CLK_CLKSEL0_HCLK_S_IRC22M</a>&#160;&#160;&#160;0x07UL</td></tr>
<tr class="separator:ga74fe03b2203d04a9bdb5134d6c0d5a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa76a76292a6fbe63388a660f4f6d0f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa76a76292a6fbe63388a660f4f6d0f4">CLK_CLKSEL0_HCLK_S_HIRC</a>&#160;&#160;&#160;0x07UL</td></tr>
<tr class="separator:gafa76a76292a6fbe63388a660f4f6d0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5712fd319ccc5ab8632a664992e97f9d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5712fd319ccc5ab8632a664992e97f9d">CLK_CLKSEL0_STCLK_S_XTAL</a>&#160;&#160;&#160;0x00UL</td></tr>
<tr class="separator:ga5712fd319ccc5ab8632a664992e97f9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf0d5c9c8ec942e8273a5f111edc7a17c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0d5c9c8ec942e8273a5f111edc7a17c">CLK_CLKSEL0_STCLK_S_XTAL_DIV2</a>&#160;&#160;&#160;0x10UL</td></tr>
<tr class="separator:gaf0d5c9c8ec942e8273a5f111edc7a17c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga398fff62736b5fc83b8f5eb95b19326f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga398fff62736b5fc83b8f5eb95b19326f">CLK_CLKSEL0_STCLK_S_HCLK_DIV2</a>&#160;&#160;&#160;0x18UL</td></tr>
<tr class="separator:ga398fff62736b5fc83b8f5eb95b19326f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0487823859f4907898fd5033cb2b974b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0487823859f4907898fd5033cb2b974b">CLK_CLKSEL0_STCLK_S_IRC22M_DIV2</a>&#160;&#160;&#160;0x38UL</td></tr>
<tr class="separator:ga0487823859f4907898fd5033cb2b974b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5dc020a95d16762afe259487c72e5d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5dc020a95d16762afe259487c72e5d1">CLK_CLKSEL0_STCLK_S_HIRC_DIV2</a>&#160;&#160;&#160;0x38UL</td></tr>
<tr class="separator:gab5dc020a95d16762afe259487c72e5d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4b7adc9f1b60aebd6f7d084b70f99556"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4b7adc9f1b60aebd6f7d084b70f99556">CLK_CLKSEL0_STCLK_S_HCLK</a>&#160;&#160;&#160;0x08UL</td></tr>
<tr class="separator:ga4b7adc9f1b60aebd6f7d084b70f99556"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8c8c197f4405d89f0117c6c05889a1f7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8c8c197f4405d89f0117c6c05889a1f7">CLK_CLKSEL1_WDT_S_XTAL</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga8c8c197f4405d89f0117c6c05889a1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f9f8a20e02d953a4473c44dd9708c2a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f9f8a20e02d953a4473c44dd9708c2a">CLK_CLKSEL1_WDT_S_HCLK_DIV2048</a>&#160;&#160;&#160;0x00000002UL</td></tr>
<tr class="separator:ga9f9f8a20e02d953a4473c44dd9708c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga400e4cf26455c3240cadf0a220eb5fb1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga400e4cf26455c3240cadf0a220eb5fb1">CLK_CLKSEL1_WDT_S_IRC10K</a>&#160;&#160;&#160;0x00000003UL</td></tr>
<tr class="separator:ga400e4cf26455c3240cadf0a220eb5fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga952926fe754090a85f6c0c357eb0a7fe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga952926fe754090a85f6c0c357eb0a7fe">CLK_CLKSEL1_WDT_S_LIRC</a>&#160;&#160;&#160;0x00000003UL</td></tr>
<tr class="separator:ga952926fe754090a85f6c0c357eb0a7fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81e81113550e5042207329cd0eb3f5ed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81e81113550e5042207329cd0eb3f5ed">CLK_CLKSEL1_ADC_S_XTAL</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga81e81113550e5042207329cd0eb3f5ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e5b8de58e34a2fa8b91066c40eac5af"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9e5b8de58e34a2fa8b91066c40eac5af">CLK_CLKSEL1_ADC_S_HCLK</a>&#160;&#160;&#160;0x00000008UL</td></tr>
<tr class="separator:ga9e5b8de58e34a2fa8b91066c40eac5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad5d3103d731c0929d28c09f8bf2c466"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad5d3103d731c0929d28c09f8bf2c466">CLK_CLKSEL1_ADC_S_IRC22M</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:gaad5d3103d731c0929d28c09f8bf2c466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f350585f3146aba766df2e08beaacee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f350585f3146aba766df2e08beaacee">CLK_CLKSEL1_ADC_S_HIRC</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:ga3f350585f3146aba766df2e08beaacee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga82603ccfbdcdffa80711b780cc7001d7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga82603ccfbdcdffa80711b780cc7001d7">CLK_CLKSEL1_SPI_S_HXTorLXT</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga82603ccfbdcdffa80711b780cc7001d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga303b6ce1b5910b090d7f8a323ad3df55"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga303b6ce1b5910b090d7f8a323ad3df55">CLK_CLKSEL1_SPI_S_HCLK</a>&#160;&#160;&#160;0x00000010UL</td></tr>
<tr class="separator:ga303b6ce1b5910b090d7f8a323ad3df55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga831f1ba136220f44861c047fa802b7b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga831f1ba136220f44861c047fa802b7b8">CLK_CLKSEL1_TMR0_S_XTAL</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga831f1ba136220f44861c047fa802b7b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e7e08774b4e8b06ae87a26b24bc394d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e7e08774b4e8b06ae87a26b24bc394d">CLK_CLKSEL1_TMR0_S_IRC10K</a>&#160;&#160;&#160;0x00000100UL</td></tr>
<tr class="separator:ga1e7e08774b4e8b06ae87a26b24bc394d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacc4f9786f0f902314b852a1b0460c10"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacc4f9786f0f902314b852a1b0460c10">CLK_CLKSEL1_TMR0_S_LIRC</a>&#160;&#160;&#160;0x00000100UL</td></tr>
<tr class="separator:gaacc4f9786f0f902314b852a1b0460c10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22f7e1378034b248a114209721dd94d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22f7e1378034b248a114209721dd94d6">CLK_CLKSEL1_TMR0_S_HCLK</a>&#160;&#160;&#160;0x00000200UL</td></tr>
<tr class="separator:ga22f7e1378034b248a114209721dd94d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ba00f91c61945a1d5db396d798be628"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ba00f91c61945a1d5db396d798be628">CLK_CLKSEL1_TMR0_S_IRC22M</a>&#160;&#160;&#160;0x00000700UL</td></tr>
<tr class="separator:ga9ba00f91c61945a1d5db396d798be628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58dcc6ddbec0c8f862a866e7f8d4a57c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58dcc6ddbec0c8f862a866e7f8d4a57c">CLK_CLKSEL1_TMR0_S_HIRC</a>&#160;&#160;&#160;0x00000700UL</td></tr>
<tr class="separator:ga58dcc6ddbec0c8f862a866e7f8d4a57c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6254cb6a39ea5b184a3f73e6c1d1aeb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa6254cb6a39ea5b184a3f73e6c1d1aeb">CLK_CLKSEL1_TMR1_S_XTAL</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gaa6254cb6a39ea5b184a3f73e6c1d1aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga111da1af93a992df54bf413dd65ee0bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga111da1af93a992df54bf413dd65ee0bc">CLK_CLKSEL1_TMR1_S_IRC10K</a>&#160;&#160;&#160;0x00001000UL</td></tr>
<tr class="separator:ga111da1af93a992df54bf413dd65ee0bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4716fba4deebbaa1bd1ccc0d9156229d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4716fba4deebbaa1bd1ccc0d9156229d">CLK_CLKSEL1_TMR1_S_LIRC</a>&#160;&#160;&#160;0x00001000UL</td></tr>
<tr class="separator:ga4716fba4deebbaa1bd1ccc0d9156229d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga038ff7eca716915f89d8c51a45bf4451"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga038ff7eca716915f89d8c51a45bf4451">CLK_CLKSEL1_TMR1_S_HCLK</a>&#160;&#160;&#160;0x00002000UL</td></tr>
<tr class="separator:ga038ff7eca716915f89d8c51a45bf4451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga69179432e24cc479c5d0b904c2ad3769"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga69179432e24cc479c5d0b904c2ad3769">CLK_CLKSEL1_TMR1_S_IRC22M</a>&#160;&#160;&#160;0x00007000UL</td></tr>
<tr class="separator:ga69179432e24cc479c5d0b904c2ad3769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89f322b1f8c95cb5cbddc27a262d217a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga89f322b1f8c95cb5cbddc27a262d217a">CLK_CLKSEL1_TMR1_S_HIRC</a>&#160;&#160;&#160;0x00007000UL</td></tr>
<tr class="separator:ga89f322b1f8c95cb5cbddc27a262d217a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfe8460a75307b0e04a3b5a9865447a1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadfe8460a75307b0e04a3b5a9865447a1">CLK_CLKSEL1_UART_S_XTAL</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gadfe8460a75307b0e04a3b5a9865447a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ebb8b46f3fa9672b83b565383f7a650"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8ebb8b46f3fa9672b83b565383f7a650">CLK_CLKSEL1_UART_S_IRC22M</a>&#160;&#160;&#160;0x02000000UL</td></tr>
<tr class="separator:ga8ebb8b46f3fa9672b83b565383f7a650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga206b01a15bf8697ddc419240988ca968"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga206b01a15bf8697ddc419240988ca968">CLK_CLKSEL1_UART_S_HIRC</a>&#160;&#160;&#160;0x02000000UL</td></tr>
<tr class="separator:ga206b01a15bf8697ddc419240988ca968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga742ddaace80b4eb2869938a0d9201d77"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga742ddaace80b4eb2869938a0d9201d77">CLK_CLKSEL1_PWM01_S_HCLK</a>&#160;&#160;&#160;0x20000000UL</td></tr>
<tr class="separator:ga742ddaace80b4eb2869938a0d9201d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga30e5f5b079d1eee6d49c956f212ddd54"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30e5f5b079d1eee6d49c956f212ddd54">CLK_CLKSEL1_PWM23_S_HCLK</a>&#160;&#160;&#160;0x80000000UL</td></tr>
<tr class="separator:ga30e5f5b079d1eee6d49c956f212ddd54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad41cbd0b610d8afd3acbb32cc6844a9f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad41cbd0b610d8afd3acbb32cc6844a9f">CLK_CLKSEL2_FRQDIV_XTAL</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gad41cbd0b610d8afd3acbb32cc6844a9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac49f81ac8e88e6dec5680fde3e00d499"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac49f81ac8e88e6dec5680fde3e00d499">CLK_CLKSEL2_FRQDIV_HXT</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gac49f81ac8e88e6dec5680fde3e00d499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7fbc63c7b060ff57b715ad4c76ae978"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7fbc63c7b060ff57b715ad4c76ae978">CLK_CLKSEL2_FRQDIV_LXT</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gac7fbc63c7b060ff57b715ad4c76ae978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga355416178cebbda348c7017ab4bd08ec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga355416178cebbda348c7017ab4bd08ec">CLK_CLKSEL2_FRQDIV_HCLK</a>&#160;&#160;&#160;0x00000008UL</td></tr>
<tr class="separator:ga355416178cebbda348c7017ab4bd08ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37c4db6e1fc4e2d7442be33079caf618"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37c4db6e1fc4e2d7442be33079caf618">CLK_CLKSEL2_FRQDIV_IRC22M</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:ga37c4db6e1fc4e2d7442be33079caf618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadff64cd11575dda23fe65dd545b43f93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadff64cd11575dda23fe65dd545b43f93">CLK_CLKSEL2_FRQDIV_HIRC</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:gadff64cd11575dda23fe65dd545b43f93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf41685eb5b16488c685a55acb21a7b53"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41685eb5b16488c685a55acb21a7b53">CLK_CLKSEL2_PWM45_S_HCLK</a>&#160;&#160;&#160;0x00000020UL</td></tr>
<tr class="separator:gaf41685eb5b16488c685a55acb21a7b53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10106bf426354bec869f0de79ae3ebb1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10106bf426354bec869f0de79ae3ebb1">CLK_CLKDIV_ADC</a>(x)&#160;&#160;&#160;(((x)-1) &lt;&lt; 16)</td></tr>
<tr class="separator:ga10106bf426354bec869f0de79ae3ebb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga77d2b6ab80bd6a2daaeac486733fc470"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga77d2b6ab80bd6a2daaeac486733fc470">CLK_CLKDIV_UART</a>(x)&#160;&#160;&#160;(((x)-1) &lt;&lt;  8)</td></tr>
<tr class="separator:ga77d2b6ab80bd6a2daaeac486733fc470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa2a696eb99c5cc6d1ead8b68e0c0bae1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2a696eb99c5cc6d1ead8b68e0c0bae1">CLK_CLKDIV_HCLK</a>(x)&#160;&#160;&#160;((x)-1)</td></tr>
<tr class="separator:gaa2a696eb99c5cc6d1ead8b68e0c0bae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaece48376de6a6e9090b8c394344e8636"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaece48376de6a6e9090b8c394344e8636">MODULE_APBCLK</a>(x)&#160;&#160;&#160;((x &gt;&gt;31) &amp; 0x1)</td></tr>
<tr class="separator:gaece48376de6a6e9090b8c394344e8636"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbcd006f65cef4b22d0d1bca3b1afef3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbcd006f65cef4b22d0d1bca3b1afef3">MODULE_CLKSEL</a>(x)&#160;&#160;&#160;((x &gt;&gt;29) &amp; 0x3)</td></tr>
<tr class="separator:gafbcd006f65cef4b22d0d1bca3b1afef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2dc9f42c7ab6aeb4ba024b8fdb16f930"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2dc9f42c7ab6aeb4ba024b8fdb16f930">MODULE_CLKSEL_Msk</a>(x)&#160;&#160;&#160;((x &gt;&gt;25) &amp; 0xf)</td></tr>
<tr class="separator:ga2dc9f42c7ab6aeb4ba024b8fdb16f930"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b25b61e468527aaaa7f38f09e48121e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b25b61e468527aaaa7f38f09e48121e">MODULE_CLKSEL_Pos</a>(x)&#160;&#160;&#160;((x &gt;&gt;20) &amp; 0x1f)</td></tr>
<tr class="separator:ga9b25b61e468527aaaa7f38f09e48121e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeaea38131f5a6d44c686cc6d5e634493"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeaea38131f5a6d44c686cc6d5e634493">MODULE_CLKDIV</a>(x)&#160;&#160;&#160;((x &gt;&gt;18) &amp; 0x3)</td></tr>
<tr class="separator:gaeaea38131f5a6d44c686cc6d5e634493"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd85866b3fa7a302a80aa94c2b394bb0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd85866b3fa7a302a80aa94c2b394bb0">MODULE_CLKDIV_Msk</a>(x)&#160;&#160;&#160;((x &gt;&gt;10) &amp; 0xff)</td></tr>
<tr class="separator:gabd85866b3fa7a302a80aa94c2b394bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab72016bfc37d178f20aeb164b213eaf5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab72016bfc37d178f20aeb164b213eaf5">MODULE_CLKDIV_Pos</a>(x)&#160;&#160;&#160;((x &gt;&gt;5 ) &amp; 0x1f)</td></tr>
<tr class="separator:gab72016bfc37d178f20aeb164b213eaf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd693274238f70a5351e2f9e9af43caf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd693274238f70a5351e2f9e9af43caf">MODULE_IP_EN_Pos</a>(x)&#160;&#160;&#160;((x &gt;&gt;0 ) &amp; 0x1f)</td></tr>
<tr class="separator:gabd693274238f70a5351e2f9e9af43caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ba0e54c58638770ff47160b4092ab7d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ba0e54c58638770ff47160b4092ab7d">MODULE_NoMsk</a>&#160;&#160;&#160;0x0</td></tr>
<tr class="separator:ga2ba0e54c58638770ff47160b4092ab7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68eddd535923d17ddbc8bb03bab70b3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68eddd535923d17ddbc8bb03bab70b3b">NA</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ba0e54c58638770ff47160b4092ab7d">MODULE_NoMsk</a></td></tr>
<tr class="separator:ga68eddd535923d17ddbc8bb03bab70b3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga058b6fe8b3177be8d5031245d52605e2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga058b6fe8b3177be8d5031245d52605e2">MODULE_APBCLK_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x01) &lt;&lt; 31)</td></tr>
<tr class="separator:ga058b6fe8b3177be8d5031245d52605e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae21a33afd5ae9ff3dbc4dd818bade8fe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae21a33afd5ae9ff3dbc4dd818bade8fe">MODULE_CLKSEL_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x03) &lt;&lt; 29)</td></tr>
<tr class="separator:gae21a33afd5ae9ff3dbc4dd818bade8fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86bbe2d7863858d8fbaf6f3e36279ac4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86bbe2d7863858d8fbaf6f3e36279ac4">MODULE_CLKSEL_Msk_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x0f) &lt;&lt; 25)</td></tr>
<tr class="separator:ga86bbe2d7863858d8fbaf6f3e36279ac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd8114dc240d230371500f4d95ac2222"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd8114dc240d230371500f4d95ac2222">MODULE_CLKSEL_Pos_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x1f) &lt;&lt; 20)</td></tr>
<tr class="separator:gabd8114dc240d230371500f4d95ac2222"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8eb02ca5a5a7647f4d9b7a09589ea906"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8eb02ca5a5a7647f4d9b7a09589ea906">MODULE_CLKDIV_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x03) &lt;&lt; 18)</td></tr>
<tr class="separator:ga8eb02ca5a5a7647f4d9b7a09589ea906"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac10fc419fc00af3430d8e8d8beccf927"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac10fc419fc00af3430d8e8d8beccf927">MODULE_CLKDIV_Msk_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0xff) &lt;&lt; 10)</td></tr>
<tr class="separator:gac10fc419fc00af3430d8e8d8beccf927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga53ae78be36ca1ab74a7f2f7a604644de"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga53ae78be36ca1ab74a7f2f7a604644de">MODULE_CLKDIV_Pos_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x1f) &lt;&lt;  5)</td></tr>
<tr class="separator:ga53ae78be36ca1ab74a7f2f7a604644de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf5588dcf5ec13a885715c1ae6fd4d8a1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5588dcf5ec13a885715c1ae6fd4d8a1">MODULE_IP_EN_Pos_ENC</a>(x)&#160;&#160;&#160;(((x) &amp; 0x1f) &lt;&lt;  0)</td></tr>
<tr class="separator:gaf5588dcf5ec13a885715c1ae6fd4d8a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaefc5c5d4f6d46fa66126a8b471e6b333"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">WDT_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|( 0&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_WDT_EN_Pos )</td></tr>
<tr class="separator:gaefc5c5d4f6d46fa66126a8b471e6b333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4490f2058973aa7507893ae3040e30ae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x7&lt;&lt;25)|( 8&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_TMR0_EN_Pos)</td></tr>
<tr class="separator:ga4490f2058973aa7507893ae3040e30ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f3c0420befc3fd680c619482c652701"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x7&lt;&lt;25)|(12&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_TMR1_EN_Pos)</td></tr>
<tr class="separator:ga4f3c0420befc3fd680c619482c652701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf04f68ef136af432770da8d6b4eabe32"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">FDIV_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(0x3&lt;&lt;25)|( 2&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_FDIV_EN_Pos)</td></tr>
<tr class="separator:gaf04f68ef136af432770da8d6b4eabe32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf5cad1af05ff8b0deee91d82a02cdf2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaf5cad1af05ff8b0deee91d82a02cdf2">I2C_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(MODULE_NoMsk&lt;&lt;25)|(31&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_I2C_EN_Pos)</td></tr>
<tr class="separator:gaaf5cad1af05ff8b0deee91d82a02cdf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27134fb16470a6878759a2e69ca68a92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27134fb16470a6878759a2e69ca68a92">SPI_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x1&lt;&lt;25)|( 4&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_SPI_EN_Pos)</td></tr>
<tr class="separator:ga27134fb16470a6878759a2e69ca68a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8408d081cc7ddf35547426dee549cc5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8408d081cc7ddf35547426dee549cc5">UART_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|(24&lt;&lt;20)|(0x0&lt;&lt;18)|(0x0F&lt;&lt;10)|( 8&lt;&lt;5)|CLK_APBCLK_UART_EN_Pos)</td></tr>
<tr class="separator:gaa8408d081cc7ddf35547426dee549cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e6e896020dcebab79489c71d3d6c7ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e6e896020dcebab79489c71d3d6c7ba">PWM01_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|(28&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_PWM01_EN_Pos)</td></tr>
<tr class="separator:ga3e6e896020dcebab79489c71d3d6c7ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga503fbb130bef38a23562886086fd9612"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga503fbb130bef38a23562886086fd9612">PWM23_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|(30&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_PWM23_EN_Pos)</td></tr>
<tr class="separator:ga503fbb130bef38a23562886086fd9612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga552401025f845e7a298f8b385558f798"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga552401025f845e7a298f8b385558f798">PWM45_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(0x3&lt;&lt;25)|( 4&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_PWM45_EN_Pos)</td></tr>
<tr class="separator:ga552401025f845e7a298f8b385558f798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c7bc484e427369d477792d9e432723e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">ADC_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|( 2&lt;&lt;20)|(0x0&lt;&lt;18)|(0xFF&lt;&lt;10)|(16&lt;&lt;5)|CLK_APBCLK_ADC_EN_Pos)</td></tr>
<tr class="separator:ga4c7bc484e427369d477792d9e432723e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga98d02399c4cf4d6a6a88dbfa3d007613"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga98d02399c4cf4d6a6a88dbfa3d007613">ACMP_MODULE</a>&#160;&#160;&#160;((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(MODULE_NoMsk&lt;&lt;25)|(31&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_ACMP_EN_Pos)</td></tr>
<tr class="separator:ga98d02399c4cf4d6a6a88dbfa3d007613"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a> (void)</td></tr>
<tr class="memdesc:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable frequency output function.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">More...</a><br /></td></tr>
<tr class="separator:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5241b9593cac6dd5412d350c0e571e51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</td></tr>
<tr class="memdesc:ga5241b9593cac6dd5412d350c0e571e51"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable frequency divider module clock, enable frequency divider clock function and configure frequency divider.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">More...</a><br /></td></tr>
<tr class="separator:ga5241b9593cac6dd5412d350c0e571e51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a4f26f4731fdca63af252773ee72088"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a> (void)</td></tr>
<tr class="memdesc:ga8a4f26f4731fdca63af252773ee72088"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function let system enter to Power-down mode.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">More...</a><br /></td></tr>
<tr class="separator:ga8a4f26f4731fdca63af252773ee72088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0920dc6df8ce954838d45072f075b347"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a> (void)</td></tr>
<tr class="memdesc:ga0920dc6df8ce954838d45072f075b347"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function let system enter to Idle mode.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">More...</a><br /></td></tr>
<tr class="separator:ga0920dc6df8ce954838d45072f075b347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa5076ef7010baaa621da89225c14e57"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a> (void)</td></tr>
<tr class="memdesc:gafa5076ef7010baaa621da89225c14e57"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get external high frequency crystal frequency. The frequency unit is Hz.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">More...</a><br /></td></tr>
<tr class="separator:gafa5076ef7010baaa621da89225c14e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a> (void)</td></tr>
<tr class="memdesc:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get external low frequency crystal frequency. The frequency unit is Hz.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">More...</a><br /></td></tr>
<tr class="separator:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27ded0f4435751be979927718884488f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a> (void)</td></tr>
<tr class="memdesc:ga27ded0f4435751be979927718884488f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get HCLK frequency. The frequency unit is Hz.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">More...</a><br /></td></tr>
<tr class="separator:ga27ded0f4435751be979927718884488f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a> (void)</td></tr>
<tr class="separator:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa95d8368f13a4b774dffbf895c750e64"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a> (void)</td></tr>
<tr class="memdesc:gaa95d8368f13a4b774dffbf895c750e64"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get CPU frequency. The frequency unit is Hz.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">More...</a><br /></td></tr>
<tr class="separator:gaa95d8368f13a4b774dffbf895c750e64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab1a48f2301aa652d88d9235674183a24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv)</td></tr>
<tr class="memdesc:gab1a48f2301aa652d88d9235674183a24"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set HCLK clock source and HCLK clock divider.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">More...</a><br /></td></tr>
<tr class="separator:gab1a48f2301aa652d88d9235674183a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada76aad06147856dad5f349704112611"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a> (uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv)</td></tr>
<tr class="memdesc:gada76aad06147856dad5f349704112611"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set selected module clock source and module clock divider.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">More...</a><br /></td></tr>
<tr class="separator:gada76aad06147856dad5f349704112611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ce2943c698a17c51766cf77e1353bf8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">CLK_SetSysTickClockSrc</a> (uint32_t u32ClkSrc)</td></tr>
<tr class="memdesc:ga1ce2943c698a17c51766cf77e1353bf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set SysTick clock source.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">More...</a><br /></td></tr>
<tr class="separator:ga1ce2943c698a17c51766cf77e1353bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a> (uint32_t u32ClkSrc, uint32_t u32Count)</td></tr>
<tr class="memdesc:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable System Tick counter.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">More...</a><br /></td></tr>
<tr class="separator:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9d846aeb8260e9b9ea4063647244252"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a> (void)</td></tr>
<tr class="memdesc:gad9d846aeb8260e9b9ea4063647244252"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable System Tick counter.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">More...</a><br /></td></tr>
<tr class="separator:gad9d846aeb8260e9b9ea4063647244252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfcb464858fe9270881d9edf102b9ed1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:gadfcb464858fe9270881d9edf102b9ed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable clock source.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">More...</a><br /></td></tr>
<tr class="separator:gadfcb464858fe9270881d9edf102b9ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fcb315221079b3c5ebf800253ffee8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:gad7fcb315221079b3c5ebf800253ffee8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable clock source.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">More...</a><br /></td></tr>
<tr class="separator:gad7fcb315221079b3c5ebf800253ffee8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a> (uint32_t u32ModuleIdx)</td></tr>
<tr class="memdesc:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable module clock.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">More...</a><br /></td></tr>
<tr class="separator:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58ebca80b6dad0a35cbabc28cf910506"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a> (uint32_t u32ModuleIdx)</td></tr>
<tr class="memdesc:ga58ebca80b6dad0a35cbabc28cf910506"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable module clock.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">More...</a><br /></td></tr>
<tr class="separator:ga58ebca80b6dad0a35cbabc28cf910506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a> (uint32_t us)</td></tr>
<tr class="memdesc:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function execute delay function.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">More...</a><br /></td></tr>
<tr class="separator:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga620c121e9147b128081654d9552efe15"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:ga620c121e9147b128081654d9552efe15"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check selected clock source status.  <a href="group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">More...</a><br /></td></tr>
<tr class="separator:ga620c121e9147b128081654d9552efe15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Mini51 series CLK driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>19 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/09/25 9:19a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="clk_8h_source.html">clk.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
